USE COWS
GO
/*
MDS_EVENT_ODIE_DEV_NME
*/

INSERT INTO dbo.MDS_EVENT_ODIE_DEV_NME (
		FSA_MDS_EVENT_ID,
		ODIE_DEV_NME,
		MANF_ID,
		DEV_MODEL_ID,
		TAB_SEQ_NBR)
Select distinct 
		fmds.FSA_MDS_EVENT_ID,
		DEV_NME,
		MANF_ID,
		DEV_MODEL_ID,
		fmds.TAB_SEQ_NBR
	From	dbo.MDS_EVENT_MNGD_DEV mngd WITH (NOLOCK)
Inner Join	dbo.FSA_MDS_EVENT fmds with (nolock) on fmds.FSA_MDS_EVENT_ID = mngd.FSA_MDS_EVENT_ID	
	WHERE	EXISTS
			(
				SELECT 'X'
					FROM	dbo.LK_DEV_MODEL ldm WITH (NOLOCK)
					WHERE	ldm.DEV_MODEL_ID = mngd.DEV_MODEL_ID
			)


